Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRepositoryAdded.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryAdded.Builder

Enclosing class:
  CoffeePickCatalogEventRepositoryAdded

    public static final class CoffeePickCatalogEventRepositoryAdded.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickCatalogEventRepositoryAdded`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickCatalogEventRepositoryAdded` | `build()` | Builds a new `CoffeePickCatalogEventRepositoryAdded`.
  `CoffeePickCatalogEventRepositoryAdded.Builder` | `from​(CoffeePickCatalogEventRepositoryAddedType instance)` | Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryAddedType` instance.
  `CoffeePickCatalogEventRepositoryAdded.Builder` | `setUri​(java.net.URI uri)` | Initializes the value for the `uri` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickCatalogEventRepositoryAdded.Builder from​(CoffeePickCatalogEventRepositoryAddedType instance)
    Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryAddedType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setUri

    public final CoffeePickCatalogEventRepositoryAdded.Builder setUri​(java.net.URI uri)
    Initializes the value for the `uri` attribute.
    Parameters:
      `uri` - The value for uri
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickCatalogEventRepositoryAdded build()
    Builds a new `CoffeePickCatalogEventRepositoryAdded`.
    Returns:
      An immutable instance of CoffeePickCatalogEventRepositoryAdded
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing